package sharin.doc.builder.xhtml1;

public class AppletElem extends GenericCoreElem<AppletElem> {

    public AppletElem(Object... nodes) {
        super("applet", nodes);
    }

    public AppletElem align(Object value) {
        return attr("align", value);
    }

    public AppletElem alignBottom() {
        return align("bottom");
    }

    public AppletElem alignLeft() {
        return align("left");
    }

    public AppletElem alignMiddle() {
        return align("middle");
    }

    public AppletElem alignRight() {
        return align("right");
    }

    public AppletElem alignTop() {
        return align("top");
    }

    public AppletElem alt(Object value) {
        return attr("alt", value);
    }

    public AppletElem archive(Object value) {
        return attr("archive", value);
    }

    public AppletElem code(Object value) {
        return attr("code", value);
    }

    public AppletElem codebase(Object value) {
        return attr("codebase", value);
    }

    public AppletElem height(Object value) {
        return attr("height", value);
    }

    public AppletElem hspace(Object value) {
        return attr("hspace", value);
    }

    public AppletElem name(Object value) {
        return attr("name", value);
    }

    public AppletElem object(Object value) {
        return attr("object", value);
    }

    public AppletElem vspace(Object value) {
        return attr("vspace", value);
    }

    public AppletElem width(Object value) {
        return attr("width", value);
    }
}
